use std::path::Path;

use radicle_native_ci::{report::ReportError, runinfo::RunInfo};

/// The main program.
fn main() {
    let x = read_file_info(Path::new("run.yaml")).expect("parse yaml");
    println!("{:#?}", x);
}

fn read_file_info(filename: &Path) -> Result<RunInfo, ReportError> {
    let yaml = std::fs::read(filename).map_err(|e| ReportError::ReadRunInfo(filename.into(), e))?;
    serde_yaml::from_slice(&yaml).map_err(|e| ReportError::DeserializeRunInfo(filename.into(), e))
}
